import { EventEmitter } from '@jolibox/common';
import { ResponseType } from '@jolibox/types';
export interface BaseSDKEventMap {
    _baseSDKMarker?: never;
}
export declare abstract class BaseSDK<T = BaseSDKEventMap> {
    /**
     * @private
     * Instance for executing commands. Intended for internal SDK use.
     */
    readonly commands: import("@jolibox/common").Commands;
    /**
     * @private
     * Event emitter instance for handling internal events. Intended for internal SDK use.
     */
    readonly _emitter: EventEmitter<Record<string, unknown[]>, string>;
    addEventListener<K extends keyof T & string>(event: K, callback: (data: T[K]) => void): void;
    triggerEvent<K extends keyof T & string>(event: K, params: T[K]): void;
    canUse(command: string): boolean;
    canIUseIfThrow(command: string): {
        code: ResponseType;
        message: string;
    } | undefined;
}
